- [HTTP request](https://developers.google.com/maps/documentation/navigation/connect/reference/rest/v1/projects.trips/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/documentation/navigation/connect/reference/rest/v1/projects.trips/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps/documentation/navigation/connect/reference/rest/v1/projects.trips/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/documentation/navigation/connect/reference/rest/v1/projects.trips/create#body.request_body)
- [Response body](https://developers.google.com/maps/documentation/navigation/connect/reference/rest/v1/projects.trips/create#body.response_body)
- [Authorization scopes](https://developers.google.com/maps/documentation/navigation/connect/reference/rest/v1/projects.trips/create#body.aspect)
- [IAM Permissions](https://developers.google.com/maps/documentation/navigation/connect/reference/rest/v1/projects.trips/create#body.aspect_1)
- [Try it!](https://developers.google.com/maps/documentation/navigation/connect/reference/rest/v1/projects.trips/create#try-it)

Creates a trip. This must be called before the mobile application can start the trip. The returned trip will have the `authToken` field set.

### HTTP request

`POST https://navigationconnect.googleapis.com/v1/{parent=projects/*}/trips`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource under which this trip will be created. Format: projects/{project_number} |

### Query parameters

| Parameters ||
|---|---|
| `tripId` | `string` Required. The ID to use for the trip, which will become the final component of the trip's resource name. This value must be a valid RFC-4122 UUID. |

### Request body

The request body contains an instance of `https://developers.google.com/maps/documentation/navigation/connect/reference/rest/v1/projects.trips#Trip`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/maps/documentation/navigation/connect/reference/rest/v1/projects.trips#Trip`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `navigationconnect.trips.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).